<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_accident_251_points', function (Blueprint $table) {
            $table->smallIncrements('id');
            $table->unsignedTinyInteger('province_id')->nullable()->index('accident_251_points_province_id_foreign');
            $table->unsignedSmallInteger('city_id')->nullable()->index('accident_251_points_city_id_foreign');
            $table->unsignedSmallInteger('accident_point_id')->nullable()->index('accident_251_points_accident_point_id_foreign');
            $table->string('lat');
            $table->string('lng');
            $table->string('province')->nullable();
            $table->string('axis_name')->nullable();
            $table->string('axis_start')->nullable();
            $table->string('axis_end')->nullable();
            $table->string('native_name')->nullable();
            $table->text('operation')->nullable();
            $table->string('target')->nullable();
            $table->string('cost')->nullable();
            $table->string('progress')->nullable();
            $table->string('end_date')->nullable();
            $table->text('actions')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_accident_251_points');
    }
};
